Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JboNameUtil

    java.lang.Object
      |
      +--oracle.jbo.common.JboNameUtil

public class JboNameUtil
extends java.lang.Object

Internal: Applications should not use this class.

Constructor Summary
`JboNameUtil()`

Method Summary
`static java.lang.reflect.Method` | `findMethod(java.lang.Class cls, java.lang.String methodName, int argCount, java.lang.Class stopClass)`
`static java.lang.String` | `flattenName(java.lang.String name)`
`static java.lang.String` | `getContainerPartOfName(java.lang.String name)`
`static java.lang.String` | `getDefNameFromInstName(java.lang.String instName)`
`static java.lang.Object` | `getDefObject(java.lang.String beanInfoName)`
`static java.lang.String` | `getFirstPartOfName(java.lang.String name)`
`static java.lang.String` | `getInfoNameFromJNDIName(java.lang.String jndiName)`
`static java.lang.String` | `getInstNameFromDefName(java.lang.String beanInfoName)`
`static java.lang.String` | `getJNDINameFromDefName(java.util.Hashtable env, java.lang.String beanInfoName)`
`static java.lang.String` | `getLastPartOfName(java.lang.String name)`
`static java.lang.String` | `getRemainingPartOfName(java.lang.String name)`
`static java.lang.String` | `getXMLNameFromDefName(java.lang.String beanInfoName)`
`static boolean` | `isFlattenedName(java.lang.String name)`
`static boolean` | `isFullNameValid(java.lang.String fullNam)`
`static boolean` | `isJavaReservedWord(java.lang.String testName, boolean respectCase)`
`static boolean` | `isNameValid(java.lang.String nam)`
`static java.lang.String` | `lengthenDefName(java.lang.String shortName)`
`static java.lang.String` | `shortenDefName(java.lang.String beanInfoName)`
`static java.lang.String` | `toXMLString(java.lang.String valStr)`
`static java.lang.String` | `unflattenName(java.lang.String name)`
`static boolean` | `xmlValidateTagName(java.lang.String nameStr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboNameUtil

    public JboNameUtil()

Method Detail

### isNameValid

    public static boolean isNameValid(java.lang.String nam)

### isFullNameValid

    public static boolean isFullNameValid(java.lang.String fullNam)

### isFlattenedName

    public static boolean isFlattenedName(java.lang.String name)

### flattenName

    public static java.lang.String flattenName(java.lang.String name)

### unflattenName

    public static java.lang.String unflattenName(java.lang.String name)

### shortenDefName

    public static java.lang.String shortenDefName(java.lang.String beanInfoName)

### lengthenDefName

    public static java.lang.String lengthenDefName(java.lang.String shortName)

### getInstNameFromDefName

    public static java.lang.String getInstNameFromDefName(java.lang.String beanInfoName)

### getFirstPartOfName

    public static java.lang.String getFirstPartOfName(java.lang.String name)

### getRemainingPartOfName

    public static java.lang.String getRemainingPartOfName(java.lang.String name)

### getLastPartOfName

    public static java.lang.String getLastPartOfName(java.lang.String name)

### getContainerPartOfName

    public static java.lang.String getContainerPartOfName(java.lang.String name)

### getDefNameFromInstName

    public static java.lang.String getDefNameFromInstName(java.lang.String instName)

### getInfoNameFromJNDIName

    public static java.lang.String getInfoNameFromJNDIName(java.lang.String jndiName)

### getJNDINameFromDefName

    public static java.lang.String getJNDINameFromDefName(java.util.Hashtable env,
                                                          java.lang.String beanInfoName)

### getXMLNameFromDefName

    public static java.lang.String getXMLNameFromDefName(java.lang.String beanInfoName)

### getDefObject

    public static java.lang.Object getDefObject(java.lang.String beanInfoName)
                                         throws java.lang.Exception

### isJavaReservedWord

    public static boolean isJavaReservedWord(java.lang.String testName,
                                             boolean respectCase)

### findMethod

    public static java.lang.reflect.Method findMethod(java.lang.Class cls,
                                                      java.lang.String methodName,
                                                      int argCount,
                                                      java.lang.Class stopClass)

### toXMLString

    public static java.lang.String toXMLString(java.lang.String valStr)

### xmlValidateTagName

    public static boolean xmlValidateTagName(java.lang.String nameStr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD